Show group "Copy" button only when permission to create groups

Bug #1658389 reported by Kristina Hoeppner on 2017-01-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Robert Lyon
16.10
Medium
Unassigned

Bug Description

Mahara 16.10:

The group "Copy" button is visible to admins even when they are not allowed to create a group. Since copying a group is essentially creating a group, the config site's group settings should be respected.

To replicate:

1. Create 5 group manually (not via CSV).
2. Assign a regular member, an institution staff, an institution admin, a site admin to one group each as group admin. Assign all 4 to the 5th group as admins.
3. Set Admin -> Configure site -> Site options -> Group settings -> Create groups to each of the options and check the groups that only the roles selected see the group copy button and can copy the group (click the copy button and observe what happens; don't just see the copy button).

The issue around copying groups created by CSV is outlined in bug #1658393.

description: updated
Robert Lyon (robertl-9) on 2017-03-30
Changed in mahara:
status: Confirmed → In Progress
assignee: nobody → Robert Lyon (robertl-9)

Reviewed: https://reviews.mahara.org/7581
Committed: https://git.mahara.org/mahara/mahara/commit/97ab1378a8406f9ee39129ac35bb579595865ccf
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 97ab1378a8406f9ee39129ac35bb579595865ccf
Author: Robert Lyon <email address hidden>
Date: Thu Mar 30 13:37:31 2017 +1300

Bug 1658389: 'Copy' for group admins that are allowed to create groups

We should only show the 'Copy' button to group admins that respect the
rules set in the Admin -> Config -> Group settions -> Create groups
field.

behatnotneeded

Change-Id: I8698f101fd90ea74e230c3c8ed0050f06b6ab03c
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2017-03-30
Changed in mahara:
status: In Progress → Fix Committed

Reviewed: https://reviews.mahara.org/7585
Committed: https://git.mahara.org/mahara/mahara/commit/7bd8c0c22013042e2aaa93dfb4b6e6a4a5741db7
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit 7bd8c0c22013042e2aaa93dfb4b6e6a4a5741db7
Author: Robert Lyon <email address hidden>
Date: Thu Mar 30 13:37:31 2017 +1300

Bug 1658389: 'Copy' for group admins that are allowed to create groups

We should only show the 'Copy' button to group admins that respect the
rules set in the Admin -> Config -> Group settions -> Create groups
field.

behatnotneeded

Change-Id: I8698f101fd90ea74e230c3c8ed0050f06b6ab03c
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 97ab1378a8406f9ee39129ac35bb579595865ccf)

tags: added: usermanualupdate
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7656
Committed: https://git.mahara.org/mahara/mahara/commit/3c640c9efbe47df34f243b713b8dca2bc51bf1c9
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 3c640c9efbe47df34f243b713b8dca2bc51bf1c9
Author: Robert Lyon <email address hidden>
Date: Thu Apr 20 07:17:36 2017 +1200

Bug 1684267: Adding new templates to the raw_old theme

As well as adding some changes to raw_old that make sense to be there
from these bugs:
Bug 1681588
Bug 1451263
Bug 1675213
Bug 1674801
Bug 1661125
Bug 1658389

behatnotneeded

Change-Id: I62042f1279ca96ac17c8e2fef11f60ecbcaf04c6
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/7673
Committed: https://git.mahara.org/mahara/mahara/commit/f7be63ab0a7cdf0b356de14952ee06cb11bb00f2
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.04_STABLE

commit f7be63ab0a7cdf0b356de14952ee06cb11bb00f2
Author: Robert Lyon <email address hidden>
Date: Thu Apr 20 07:17:36 2017 +1200

Bug 1684267: Adding new templates to the raw_old theme

As well as adding some changes to raw_old that make sense to be there
from these bugs:
Bug 1681588
Bug 1451263
Bug 1675213
Bug 1674801
Bug 1661125
Bug 1658389

behatnotneeded

Change-Id: I62042f1279ca96ac17c8e2fef11f60ecbcaf04c6
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 3c640c9efbe47df34f243b713b8dca2bc51bf1c9)

Robert Lyon (robertl-9) on 2017-04-27
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers